## org.eclipse.jet.xpath.inspector
Class ExpandedName

    java.lang.Object
      org.eclipse.jet.xpath.inspector.ExpandedName

    public final class ExpandedName

extends java.lang.Object

Define the XPath ExpandedName.

Field Summary
`static java.lang.Object` `ALL` Defines the expanded name that matches all other expanded names.

Constructor Summary
`ExpandedName(java.lang.String localPart)`
`ExpandedName(java.lang.String namespaceURI, java.lang.String localPart)`

Method Summary
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getLocalPart()`
`java.lang.String` `getNamespaceURI()`
`int` `hashCode()`
`boolean` `hasWildCards()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final java.lang.Object ALL

  Defines the expanded name that matches all other expanded names.

Constructor Detail

### ExpandedName

    public ExpandedName(java.lang.String localPart)

### ExpandedName

    public ExpandedName(java.lang.String namespaceURI,
                        java.lang.String localPart)

Method Detail

### getLocalPart

    public java.lang.String getLocalPart()

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasWildCards

    public boolean hasWildCards()

Copyright 2006 IBM Corporation and others. All Rights Reserved.